---
# this is a minimal config for now
- name: "install the dns server subsystem"
  apt:
    name: "bind9"
    state: "latest"

- name: "generate named.conf.options"
  template:
    src: "named.conf.options"
    dest: "/etc/bind/named.conf.options"

- name: "add ns record"
  bind9:
    zone:   "{{ns_zone}}"
    key:    "@"
    record: "NS"
    value:  "ns1"
    state:  "present"

- name: "add self as the zone main ns"
  bind9:
    zone:   "{{ns_zone}}"
    key:    "ns1"
    record: "A"
    value:  "{{control.priv_ip|ipaddr('address')}}"
    state:  "present"

- name: "add a record for self"
  bind9:
    zone:   "{{ns_zone}}"
    key:    "{{control.name}}"
    record: "A"
    value:  "{{control.priv_ip|ipaddr('address')}}"
    state:  "present"

- name: "add the hypervisor to the dns server"
  bind9:
    zone:   "{{ns_zone}}"
    key:    "jmmc-hyper"
    record: "A"
    value:  "{{public_br.ip_addr|ipaddr('address')}}"
    state:  "present"

- name: "reload the name service"
  service:
    name: "bind9"
    state: "reloaded"

# do this only if the above is successful !
- name: "change /etc/resolv.conf"
  template:
    src: "resolv.conf.j2"
    dest: "/etc/resolv.conf"


